commit: 6173357146a2081d7042f67d50ee3552b7899014
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 21 12:13:29 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 21 12:35:00 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61733571
dev-python/testresources: Use PEP517 build
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../testresources/testresources-2.0.1-r1.ebuild | 38 ++++++++++++++++++++++
1 file changed, 38 insertions(+)
diff --git a/dev-python/testresources/testresources-2.0.1-r1.ebuild
b/dev-python/testresources/testresources-2.0.1-r1.ebuild
new file mode 100644
index 000000000000..395cd1ce312e
--- /dev/null
+++ b/dev-python/testresources/testresources-2.0.1-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A pyunit extension for managing expensive test resources"
+HOMEPAGE="
+ https://launchpad.net/testresources/
+ https://github.com/testing-cabal/testresources/
+ https://pypi.org/project/testresources/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ dev-python/testtools[${PYTHON_USEDEP}]
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+# sed \
+# -e 's:testBasicSortTests:_&:g' \
+# -i testresources/tests/test_optimising_test_suite.py || die
+ distutils-r1_python_prepare_all
+}